=== debian/control ===
Source: kernel-image-2.4.18-1-alpha
Section: devel
Priority: optional
Maintainer: Herbert Xu <herbert@debian.org>
Standards-Version: 3.5.6
Build-Depends: debhelper, kernel-package (>= 7.95), kernel-source-2.4.18 (>= 2.4.18-14.4), modutils

Package: kernel-headers-2.4.18-1
Architecture: alpha
Section: devel
Priority: optional
Depends: fileutils (>= 4.0)
Provides: kernel-headers, kernel-headers-2.4
Description: Header files related to Linux kernel version 2.4.18
 This package provides kernel header files for version 2.4.18, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/kernel-headers-2.4.18-1/debian.README.gz for details

Package: kernel-headers-2.4.18-1-generic
Architecture: alpha
Section: devel
Priority: optional
Depends: fileutils (>= 4.0)
Provides: kernel-headers, kernel-headers-2.4
Description: Headers for Linux kernel version 2.4.18 on Alpha
 This package provides kernel header files for version 2.4.18 on the Alpha
 architecture, for sites that want the latest kernel headers. Please read
 /usr/share/doc/kernel-headers-2.4.18-1-generic/debian.README.gz for details

Package: kernel-image-2.4.18-1-generic
Architecture: alpha
Section: base
Priority: optional
Provides: kernel-image, kernel-image-2.4
Depends: initrd-tools (>= 0.1.21), fileutils (>= 4.0), modutils (>= 2.3.12)
Suggests: aboot, fdutils, kernel-doc-2.4.18
Description: Linux kernel image for version 2.4.18 on Alpha.
 This package contains the Linux kernel image for version 2.4.18 on the Alpha
 architecture, the corresponding System.map file, and the modules built by
 the packager.  It also contains scripts that try to ensure that the
 system is not left in a unbootable state after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.

Package: kernel-headers-2.4.18-1-smp
Architecture: alpha
Section: devel
Priority: optional
Depends: fileutils (>= 4.0)
Provides: kernel-headers, kernel-headers-2.4
Description: Headers for Linux kernel version 2.4.18 on Alpha SMP
 This package provides kernel header files for version 2.4.18 on the Alpha
 architecture with SMP support, for sites that want the latest kernel headers.
 Please read /usr/share/doc/kernel-headers-2.4.18-1-smp/debian.README.gz for
 details

Package: kernel-image-2.4.18-1-smp
Architecture: alpha
Section: base
Priority: optional
Provides: kernel-image, kernel-image-2.4
Depends: initrd-tools (>= 0.1.21), fileutils (>= 4.0), modutils (>= 2.3.12)
Suggests: aboot, fdutils, kernel-doc-2.4.18
Description: Linux kernel image for version 2.4.18 on Alpha SMP.
 This package contains the Linux kernel image for version 2.4.18 on the Alpha
 architecture with SMP support, the corresponding System.map file, and the
 modules built by the packager.  It also contains scripts that try to ensure
 that the system is not left in a unbootable state after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
