=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for kernel-image-*-alpha
#
# GNU copyright 1997 to 1999 by Joey Hess.
# Copyright (c) 2000 Ben Collins <bcollins@debian.org>
# Copyright (c) 1999-2001 Herbert Xu <herbert@debian.org>
#
# $Id: rules,v 1.4.2.1 2003/05/17 23:44:06 herbert Exp $

SHELL := sh -e

debver := $(shell \
	head -1 debian/changelog | \
	sed 's/^kernel-image-\([^-]*\)\(-[[:digit:]]*\)\?-alpha.*$$/\1 \2/' \
)
export version := $(firstword $(debver))
export debnum := $(word 2,$(debver))
debver := $(version)$(debnum)
appvan :=

ifneq ($(debnum),)
appvan := --append_to_version $(debnum)
endif

flavours := $(shell \
	find config -maxdepth 1 -type f ! -name default -printf '%f\n' \
)

unpack: unpack-stamp
unpack-stamp:
	tar jxf /usr/src/kernel-source-$(version).tar.bz2
	mkdir -p kernel-source-$(version)/debian
	cp debian/changelog kernel-source-$(version)/debian
	cp debian/control kernel-source-$(version)/debian
	> kernel-source-$(version)/debian/official
	install post-install kernel-source-$(version)/debian
	for i in $(flavours); do \
		cp -al kernel-source-$(version) build-$$i; \
		cp config/$$i build-$$i/.config; \
	done
	cp config/default kernel-source-$(version)/.config
	ln -s `command -v touch` bin/touch.orig

	touch unpack-stamp

build: build-stamp
build-stamp: unpack-stamp
	PATH=$$PWD/bin:$$PATH; \
	for i in $(flavours); do \
		cd build-$$i; \
		make-kpkg --append_to_version $(debnum)-$$i build; \
		cd ..; \
	done

	touch build-stamp

clean:
	rm -f unpack-stamp build-stamp
	rm -rf kernel-source-$(version) build-* install-* bin/touch.orig
	dh_clean

install: build
	dh_clean -k
	dh_installdirs

# Build architecture-independent files here.
binary-indep:

# Build architecture-dependent files here.
binary-arch: install
	cd kernel-source-$(version); \
		make-kpkg $(appvan) kernel-headers
	mv kernel-source-$(version)/debian/files debian

	for i in $(flavours); do \
		cp -al build-$$i install-$$i; \
		cd install-$$i; \
		make-kpkg --append_to_version $(debnum)-$$i \
			kernel-headers; \
		make-kpkg --append_to_version $(debnum)-$$i --initrd \
			kernel-image; \
		cd ..; \
		cat install-$$i/debian/files >> debian/files; \
		rm -rf install-$$i; \
	done
	mv *.deb ..

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install unpack
